> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

#  Get Niches List

> Get the full list of social niches.

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "data": [
      {
        "tagID": "accessories-and-jewellery",
        "name": "Accessories & Jewellery"
      },
      {
        "tagID": "adult-content",
        "name": "Adult content"
      },
      {
        "tagID": "alcohol-alcohol",
        "name": "Alcohol"
      },
      {
        "tagID": "animals",
        "name": "Animals"
      },
      {
        "tagID": "architecture-and-urban-design",
        "name": "Architecture & Urban Design"
      },
      {
        "tagID": "art-artists",
        "name": "Art/Artists"
      },
      {
        "tagID": "beauty",
        "name": "Beauty"
      },
      {
        "tagID": "business-and-careers",
        "name": "Business & Careers"
      },
      {
        "tagID": "cars-and-motorbikes",
        "name": "Cars & Motorbikes"
      },
      {
        "tagID": "cinema-and-Actors-actresses",
        "name": "Cinema & Actors/actresses"
      },
      {
        "tagID": "clothing-and-outfits",
        "name": "Clothing & Outfits"
      },
      {
        "tagID": "comics-and-sketches",
        "name": "Comics & sketches"
      },
      {
        "tagID": "computers-and-gadgets",
        "name": "Computers & Gadgets"
      },
      {
        "tagID": "crypto",
        "name": "Crypto"
      },
      {
        "tagID": "diy-and-design",
        "name": "DIY & Design"
      },
      {
        "tagID": "education-education",
        "name": "Education"
      },
      {
        "tagID": "extreme-sports-and-outdoor-activity",
        "name": "Extreme Sports & Outdoor activity"
      },
      {
        "tagID": "family",
        "name": "Family"
      },
      {
        "tagID": "fashion-fashion",
        "name": "Fashion"
      },
      {
        "tagID": "finance-and-economics",
        "name": "Finance & Economics"
      },
      {
        "tagID": "fitness-and-gym",
        "name": "Fitness & Gym"
      },
      {
        "tagID": "food-and-cooking",
        "name": "Food & Cooking"
      },
      {
        "tagID": "gaming",
        "name": "Gaming"
      },
      {
        "tagID": "government",
        "name": "Government"
      },
      {
        "tagID": "health-and-medicine",
        "name": "Health & Medicine"
      },
      {
        "tagID": "humor-and-fun-and-happiness",
        "name": "Humor & Fun & Happiness"
      },
      {
        "tagID": "kids-and-toys",
        "name": "Kids & Toys"
      },
      {
        "tagID": "lifestyle",
        "name": "Lifestyle"
      },
      {
        "tagID": "literature-and-journalism",
        "name": "Literature & Journalism"
      },
      {
        "tagID": "luxury",
        "name": "Luxury"
      },
      {
        "tagID": "machinery-and-technologies",
        "name": "Machinery & Technologies"
      },
      {
        "tagID": "management-and-marketing",
        "name": "Management & Marketing"
      },
      {
        "tagID": "mobile-related",
        "name": "Mobile related"
      },
      {
        "tagID": "modeling",
        "name": "Modeling"
      },
      {
        "tagID": "music-music",
        "name": "Music"
      },
      {
        "tagID": "nature-and-landscapes",
        "name": "Nature & landscapes"
      },
      {
        "tagID": "news-and-media",
        "name": "News & media"
      },
      {
        "tagID": "nft",
        "name": "NFT"
      },
      {
        "tagID": "photography",
        "name": "Photography"
      },
      {
        "tagID": "politics-politics",
        "name": "Politics"
      },
      {
        "tagID": "racing-sports",
        "name": "Racing Sports"
      },
      {
        "tagID": "science",
        "name": "Science"
      },
      {
        "tagID": "shopping-and-retail",
        "name": "Shopping & Retail"
      },
      {
        "tagID": "shows",
        "name": "Shows"
      },
      {
        "tagID": "sports",
        "name": "Sports"
      },
      {
        "tagID": "sports-with-a-ball",
        "name": "Sports with a ball"
      },
      {
        "tagID": "sweets-and-bakery",
        "name": "Sweets & Bakery"
      },
      {
        "tagID": "tobacco-and-smoking",
        "name": "Tobacco & Smoking"
      },
      {
        "tagID": "trainers-and-coaches",
        "name": "Trainers & Coaches"
      },
      {
        "tagID": "travel-travel",
        "name": "Travel"
      },
      {
        "tagID": "water-sports",
        "name": "Water sports"
      },
      {
        "tagID": "winter-sports",
        "name": "Winter sports"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/get-social-niches
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/get-social-niches:
    get:
      tags:
        - Workflow
      description: Triggers the workflow get-social-niches
      operationId: get_wf_get-social-niches
      parameters:
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````